/* A tool for coverting hostnames to ip-addresses.
 * This file is written by Knut Anders Hatlen <kahatlen@online.no>
 * and is distributed under the terms of the GNU General Public License
 * (read the file COPYING for details).
 */

#include "ip-procs.h"
#include <stdio.h>

int
main (int argc, char **argv)
{

  char *ip;

  if (!(argc == 2))
    {
      fprintf (stderr, "Usage: hn2ip hostname\n");
      exit (1);
    }

  ip = name2addr (argv[1]);
  if (ip == NULL)
    {
      fprintf (stderr, "M$-error: No error ;-)\n"
	       "Cannot find ip-address for the given hostname!\n");
      exit (1);
    }
  printf ("%s\n", ip);
  exit (0);
}
