/* Procedures for converting ip-address -> hostname and vice versa.
 * This file is written by Knut Anders Hatlen <kahatlen@online.no>
 * and is distributed under the terms of the GNU General Public License
 * (read the file COPYING for details).
 */

#include "ip-procs.h"
#include <stdio.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>

char *
addr2name (char *addr)
{

  struct hostent *host;
  struct in_addr ia =
  {htonl (inet_network (addr))};

  sethostent (1);
  host = gethostbyaddr ((char *) &ia, sizeof ia, AF_INET);
  endhostent ();

  if (host == NULL)
    return NULL;
  return (char *) host->h_name;
}

char *
name2addr (char *name)
{
  struct hostent *host;

  sethostent (1);
  host = gethostbyname (name);
  endhostent ();
  if (host == NULL)
    return NULL;
  return inet_ntoa (*(struct in_addr *) *host->h_addr_list++);
}
