/* A tool for converting ip-addresses to hostnames.
 * This file is written by Knut Anders Hatlen <kahatlen@online.no>
 * and is distributed under the terms of the GNU General Public License
 * (read the file COPYING for details).
 */

#include "ip-procs.h"
#include <stdio.h>

int 
main (int argc, char *argv[])
{

  char *hn;
  unsigned long int ip_addr;

  if (!(argc == 2))
    {
      fprintf (stderr, "Usage: ip2hn ip-address\n");
      exit (1);
    }

  hn = addr2name (argv[1]);
  if (hn == NULL)
    {
      fprintf (stderr, "Error: Cannot find hostname for the given ip-address!\n");
      exit (1);
    }

  printf ("%s\n", hn);
  exit (0);
}
